import akka.actor._

import scala.concurrent.Await

class HelloWorld extends Actor {
  def receive = {
    case who: String => println("hello " + who + "!")
  }
}

object HelloWorld extends App {
  val system = ActorSystem("hello-world")
  val helloActor = system.actorOf(Props[HelloWorld], "hello")
  helloActor ! "world"
  system.terminate()
}